BladeSystem Forums have moved here
To make BladeSystem information easier to find, we have moved the BladeSystem forums here, to Servers and Operating Systems.
System Administration
Showing results for 
Search instead for 
Do you mean 

hpacucli - Ubuntu 11.10 not able to see any controllers ! Smart Array P410

Highlighted
Occasional Contributor

hpacucli - Ubuntu 11.10 not able to see any controllers ! Smart Array P410

[ Edited ]

Hi.

 

I have a HP server that has Smart Array P410 SAS RAID controller.

 

For 2.6.32 kernels I used the cciss_vol_status utility to monitor the RAID, for 26.32 - 2.6.39 I used hpacucli to check the RAID status from -
http://downloads.linux.hp.com/SDR/downloads/ProLiantSupportPack/

 

Ubuntu 11.10 has the 3.0.x kernel and seems not to be able to see the controller.

 

--------------------------------------------

=> controller all show config detail

Error: No controllers detected.

--------------------------------------------

 

What options do I have to monitor RAID  in Ubuntu 11.10 ?

 

Is there a version of hpacucli coming out for ubuntu 11.10 -  or any other way of monitoring RAID status ??

 

Regards

3 REPLIES
Esteemed Contributor

Re: hpacucli - Ubuntu 11.10 not able to see any controllers ! Smart Array P410

Did you install other PSP components as well or just hpacucli?

Occasional Contributor

Re: hpacucli - Ubuntu 11.10 not able to see any controllers ! Smart Array P410

HI

 

I just installed hpacucli- however that is what I have done (on same hardware) when running Ubuntu 10.04 and it works fine...

 

It seems other people running kernel 3.x are having the same issues :-

 

http://osdir.com/ml/debian-kernel/2011-10/msg00128.html

 

- Can anyone recommend any way of monitoring RAID - any monitoring will do...

 

Cheers

 

Occasional Contributor

Re: hpacucli - Ubuntu 11.10 not able to see any controllers ! Smart Array P410

I have found a solution

 

http://mirror.anl.gov/pub/linux/kernel/people/ak/uname26/

 

- compile uname26.c

 

run hpacucli with

 

./uname26 hpacucli

 

- It works fine.

 

So the issue is hp's tools can't handle a 3.x kernel (yet)